- Main Page
- Modules
- Namespaces
- Classes
- Files
- Related Pages

- Alphabetical List
- Class List
- Class Hierarchy
- Class Members

# FCDPhysicsModelInstance Class Reference
[COLLADA Document Object Model.]

A COLLADA physics model instance. More...

`#include <FCDPhysicsModelInstance.h>`

Inheritance diagram for FCDPhysicsModelInstance:

List of all members.

## Public Member Functions
| FCDPhysicsModelInstance (FCDocument *document)
| Constructor: do not use directly.
virtual | ~FCDPhysicsModelInstance ()
| Destructor.
virtual Type | GetType () const
| Retrieves the entity type for this class.
| DEPRECATED (3.05A, GetInstanceCount and GetInstance(index)) void GetInstances() const
| Retrieves all the instances from this physics model instance.
size_t | GetInstanceCount () const
| Retrieves the number of instances from this physics model instance.
FCDEntityInstance * | GetInstance (size_t index)
| Retrieves a specified instance from this physics model instance by index.
const FCDEntityInstance * | GetInstance (size_t index) const
| See above.
FCDPhysicsRigidBodyInstance * | AddRigidBodyInstance (FCDPhysicsRigidBody *rigidBody=NULL)
| Adds an instantiated rigid body to this physics model instance.
FCDPhysicsRigidConstraintInstance * | AddRigidConstraintInstance (FCDPhysicsRigidConstraint *rigidConstraint=NULL)
| Adds an instantiated rigid constraint to this physics model instance.
FCDPhysicsForceFieldInstance * | AddForceFieldInstance (FCDForceField *forceField=NULL)
| Adds an instantiated force field to this physics model instance.
| DEPRECATED (3.05A, instance->Release() or SAFE_RELEASE(instance)) bool RemoveInstance(FCDEntityInstance *instance)
| Removes and deletes the instance from the model.
virtual FCDEntityInstance * | Clone (FCDEntityInstance *clone=NULL) const
| Copies the physics model instance into a clone.
virtual void | CleanSubId (FUSUniqueStringMap *parentStringMap)
| [INTERNAL] Cleans up the sub identifiers.

## Detailed Description

A COLLADA physics model instance.

## Constructor & Destructor Documentation

FCDPhysicsModelInstance::FCDPhysicsModelInstance | ( | FCDocument * | document | ) |

  | Constructor: do not use directly. Create new physics models using the FCDPhysicsModel::AddPhysicsModelInstance function. Parameters:
  | document | The COLLADA document that contains this physics model instance.

## Member Function Documentation

FCDPhysicsForceFieldInstance* FCDPhysicsModelInstance::AddForceFieldInstance | ( | FCDForceField * | forceField = `NULL` | ) |

  | Adds an instantiated force field to this physics model instance. Parameters:
  | forceField | The force field to be instanced in this physics model instance. If this value is NULL, then there is no associated force field for the instance yet. It should be filled in.
Returns: The new force field instance.

FCDPhysicsRigidBodyInstance* FCDPhysicsModelInstance::AddRigidBodyInstance | ( | FCDPhysicsRigidBody * | rigidBody = `NULL` | ) |

  | Adds an instantiated rigid body to this physics model instance. Parameters:
  | rigidBody | The rigid body to be instanced in this physics model instance. If this value is NULL, then there is no associated rigid body for the instance yet. It should be filled in.
Returns: The new rigid body instance.

FCDPhysicsRigidConstraintInstance* FCDPhysicsModelInstance::AddRigidConstraintInstance | ( | FCDPhysicsRigidConstraint * | rigidConstraint = `NULL` | ) |

  | Adds an instantiated rigid constraint to this physics model instance. Parameters:
  | rigidConstraint | The rigid constraint to be instanced in this physics model instance. If this value is NULL, then there is no associated rigid constraint for the instance yet. It should be filled in.
Returns: The new rigid constraint instance.

virtual void FCDPhysicsModelInstance::CleanSubId | ( | FUSUniqueStringMap * | parentStringMap | ) | `[virtual]`

  | [INTERNAL] Cleans up the sub identifiers. The sub identifiers must be unique with respect to its parent. This method corrects the sub ids if there are conflicts. Parameters:
  | parentStringMap | The string map from the parent of this instance in which the sub ids must be unique.
Reimplemented from FCDEntityInstance.

virtual FCDEntityInstance* FCDPhysicsModelInstance::Clone | ( | FCDEntityInstance * | clone = `NULL` | ) | const`[virtual]`

  | Copies the physics model instance into a clone. Parameters:
  | clone | The empty clone. If this pointer is NULL, a new physics model instance will be created and you will need to release the returned pointer manually.
Returns: The clone. Reimplemented from FCDEntityInstance.

FCDPhysicsModelInstance::DEPRECATED | ( | 3. | 05A,
|  | instance-> | Release() or SAFE_RELEASE(instance)
| ) |

  | Removes and deletes the instance from the model. Parameters:
  | instance | The instance to remove.
Returns: True if the instance was removed.

FCDPhysicsModelInstance::DEPRECATED | ( | 3. | 05A,
|  | GetInstanceCount and | GetInstance(index)
| ) | const`[inline]`

| Retrieves all the instances from this physics model instance. Returns: The instances.

FCDEntityInstance* FCDPhysicsModelInstance::GetInstance | ( | size_t | index | ) | `[inline]`

  | Retrieves a specified instance from this physics model instance by index. Parameters:
  | index | The index.
Returns: The instance.

size_t FCDPhysicsModelInstance::GetInstanceCount | ( |  | ) | const`[inline]`

| Retrieves the number of instances from this physics model instance. Returns: The number of instances.

virtual Type FCDPhysicsModelInstance::GetType | ( |  | ) | const`[inline, virtual]`

| Retrieves the entity type for this class. This function is part of the FCDEntity interface. Returns: The entity type: PHYSICS_MODEL. Reimplemented from FCDEntityInstance.

The documentation for this class was generated from the following file:

- FCDocument/FCDPhysicsModelInstance.h